{{- if .Values.imageCredentials.enabled }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.imageCredentials.secretName }}
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "cmem.labels" . | nindent 4 }}
type: kubernetes.io/dockercfg
data:
  .dockercfg: {{ template "eccenca.imagePullSecret" . }}
{{- end }}